/**
 * 알림창 컴포넌트 파라미터)> msg: 알릴 메시지, varWidth: 팝업창의 넓이, varHeight: 팝업창의 높이 사용예)>
 * dlgAlert("저장되었습니다.",140,150)
 */
function dlgAlert(msg, varWidth, varHeight) {
	var dlgWidth = 350;
	var dlgHeight = 180;

	if (varWidth != null)
		dlgWidth = varWidth;

	if (varHeight != null)
		dlgHeight = varHeight;

	// window.showModalDialog('/dialog/dlgAlert.screen', msg,'dialogWidth:' +
	// dlgWidth + 'px;dialogHeight:' + dlgHeight + 'px; center:yes; help:no;
	// status:no; scroll:no; resizable:no');

	alert(msg);
}

/**
 * 오류 알림창 컴포넌트
 */
function dlgErrorDetailAlert(msg, detailMsg) {

	var dlgWidth = 500;
	var dlgHeight = 275;
	dlgErrorAlert(msg, dlgWidth, dlgHeight, detailMsg);
}

/**
 * 오류 알림창 컴포넌트 ( 공통 )
 */
function dlgErrorMsg(resultObj) {
	var result = window
			.showModalDialog(
					'/dialog/dlgError.screen',
					resultObj,
					'dialogWidth:505px;dialogHeight:325px; center:yes; help:no; status:yes; scroll:no; resizable:no');
}

/**
 * 
 */
function dlgErrorAlert(msg, varWidth, varHeight, detailMsg) {
	var dlgWidth = 400;
	var dlgHeight = 170;// 180

	if (varWidth != null)
		dlgWidth = varWidth;

	if (varHeight != null)
		dlgHeight = varHeight;

	if (detailMsg == null)
		detailMsg = "";

	if (detailMsg != "") {
		dlgHeight = dlgHeight + 107;
	}

	var msgArray = new Array(msg, detailMsg);

	window
			.showModalDialog(
					getDummyUrl('/dialog/dlgErrorAlert.screen'),
					msgArray,
					'dialogWidth:'
							+ dlgWidth
							+ 'px;dialogHeight:'
							+ dlgHeight
							+ 'px; center:yes; help:no; status:no; scroll:no; resizable:no');
}

/**
 * 일반 팝업창 파라미터)> url: 주소, title: title, scroll: 스크롤여부, nWidth: 팝업창의 넓이, nHeight:
 * 팝업창의 높이 사용예)> dlgConfirm("저장되었습니다.",200,150)
 */
function openPopup(url, title, scroll, nWidth, nHeight) {
	var opts, iMyWidth, iMyHeight;
	iMyWidth = (window.screen.width - nWidth) / 2;
	iMyHeight = (window.screen.height - nHeight) / 2;
	opts = "width=" + nWidth + ",height=" + nHeight + ",";
	opts += "toolbar=no,location=no,directories=no,status=no,";
	opts += "menubar=no,scrollbars=" + scroll + ",resizable=no,";
	opts += "left=" + iMyWidth + ",top=" + iMyHeight + ",screenX=" + iMyWidth
			+ ",screenY=" + iMyHeight;
	win = window.open(url, title, opts);
	win.focus();
}